# CoCreateJS

Transform static HTML into a dynamic web application, no Javascript required!

A low code headless CMS and Javascript framework for building collaborative, SaaS Apps, No Code platforms, Website Builders, rich text editors, eCommerce, Blogs, websites, landing pages, CRM’s, Admins and anything else you dream up. Build powerful online and offline applications using HTML5 attributes or Javascript api. [CoCreateJS](https://CoCreate.app) https://CoCreate.app

<!-- Note: CoCreateJS is the clients side and requires the backend server side to fuction. The backend can be used via our cloud service or you can deploy and manage the backend yourself via [CoCreateWS](https://github.com/CoCreate-app/CoCreateWS) -->

<br/>

![minified](https://img.badgesize.io/https:/CoCreate.app/dist/CoCreate.min.js?label=minified&color=orange&style=flat-square)
![gzip](https://img.badgesize.io/https:/CoCreate.app/dist/CoCreate.min.js?label=gzip&compression=gzip&color=yellow&style=flat-square)
![brotli](https://img.badgesize.io/https:/CoCreate.app/dist/CoCreate.min.js?label=brotli&compression=brotli&style=flat-square)
![GitHub latest release](https://img.shields.io/github/v/release/CoCreate-app/CoCreateJS?style=flat-square)
![License](https://img.shields.io/github/license/CoCreate-app/CoCreateJS?style=flat-square)
![Hiring](https://img.shields.io/static/v1?style=flat-square&label=&message=Hiring&color=blueviolet)

![CoCreateJS](https://github.com/CoCreate-app/CoCreateJS/blob/master/CoCreateJS.png)

## [Docs & Demo](https://cocreate.app/docs/CoCreateJS)

For a complete guide and working demo refer to the [doumentation](https://cocreate.app/docs/CoCreateJS)

<br/>

# Table of Contents

-   [Table of Contents](#table-of-contents)
-   [Installation](#installation)
-   [Announcements](#announcements)
-   [Roadmap](#roadmap)
-   [How to Contribute](#how-to-contribute)
-   [About](#about)
-   [License](#license)

<br/>

<a name="installation"></a>

# Installation

<!-- Note: Requires [CoCreateWS](https://github.com/CoCreate-app/CoCreateWS) websocket server if you intend on using CRUD and collabrative features. You can connect to our cloud servers using the subdomain and APIKEY provided on [SignUp](https://cocreate.app/admin/signup.html) or do a self hosted install.   -->

## CDN

```html
<script src="/dist/CoCreate.js"></script>
```

## NPM

```shell
$ npm i @cocreate/cocreatejs

```

```shell
$ npm install
```

## yarn

```shell
$ yarn install @cocreate/cocreatejs
```

```shell
$ yarn install
```

<br/>

<a name="announcements"></a>

# Announcements

All updates to this library are documented in our [CHANGELOG](https://github.com/CoCreate-app/CoCreateJS/blob/master/CHANGELOG.md) and [releases](https://github.com/CoCreate-app/CoCreateJS/releases). You may also subscribe to email for releases and breaking changes.

<a name="roadmap"></a>

# Roadmap

If you are interested in the future direction of this project, please take a look at our open [issues](https://github.com/CoCreate-app/CoCreateJS/issues) and [pull requests](https://github.com/CoCreate-app/CoCreateJS/pulls). We would love to hear your feedback.

<a name="about"></a>

# About

CoCreateJS is guided and supported by the CoCreate Developer Experience Team.

Please Email the Developer Experience Team [here](mailto:develop@cocreate.app) in case of any queries.

CoCreateJS is maintained and funded by CoCreate. The names and logos for CoCreate are trademarks of CoCreate, LLC.

<a name="contribute"></a>

# How to Contribute

We encourage contribution to our libraries (you might even score some nifty swag), please see our [CONTRIBUTING](https://github.com/CoCreate-app/CoCreateJS/blob/master/CONTRIBUTING.md) guide for details.

We want this library to be community-driven, and CoCreate led. We need your help to realize this goal. To help make sure we are building the right things in the right order, we ask that you create [issues](https://github.com/CoCreate-app/CoCreateJS/issues) and [pull requests](https://github.com/CoCreate-app/CoCreateJS/pulls) or merely upvote or comment on existing issues or pull requests.

We appreciate your continued support, thank you!

<a name="license"></a>

# License

This software is dual-licensed under the GNU Affero General Public License version 3 (AGPLv3) and a commercial license.

-   **Open Source Use**: For open-source projects and non-commercial use, this software is available under the AGPLv3. The AGPLv3 allows you to freely use, modify, and distribute this software, provided that all modifications and derivative works are also licensed under the AGPLv3. For the full license text, see the [LICENSE file](https://github.com/CoCreate-app/CoCreateJS/blob/master/LICENSE).

-   **Commercial Use**: For-profit companies and individuals intending to use this software for commercial purposes must obtain a commercial license. The commercial license is available when you sign up for an API key on our [website](https://cocreate.app). This license permits proprietary use and modification of the software without the copyleft requirements of the AGPLv3. It is ideal for integrating this software into proprietary commercial products and applications.

If you have not purchased a commercial license and intend to use this software for commercial purposes, you are required to sign up for an API key on our website.
